Skip to main content
PUT
/
dr
/
v1
/
appointment
/
{appointment_id}
/
follow-up
/
confirm
Confirm Follow-Up Appointment
curl --request PUT \
  --url https://api.eka.care/dr/v1/appointment/{appointment_id}/follow-up/confirm \
  --header 'Content-Type: application/json' \
  --header 'auth: <auth>' \
  --data '
{
  "start_time": 1730189586,
  "end_time": 1730189586
}
'
{
  "error": {
    "code": "INVALID_REQUEST",
    "message": "The request is invalid or missing required parameters"
  }
}

Headers

auth
string
required
Example:

"auth"

Path Parameters

appointment_id
string
required

Query Parameters

partner_id
string

If set to 1 then appointment_id in path parameter should be partner_appointment_id else eka apppointment_id

Example:

"1"

Body

application/json
start_time
integer

Start time of the appointment in epoch

Example:

1730189586

end_time
integer

End time of the appointment in epoch

Example:

1730189586

Response

OK